Query parameters
idsstringOptional
Comma separated list of workflow output IDs
workflowTaskGroupIdsstringOptional>=1 character
Comma separated list of workflow IDs
workflowTaskIdsstringOptional>=1 character
Comma separated list of workflow task IDs
schemaIdstringOptional
The ID of the workflow task schema of the workflow output
watcherIdsstringOptional>=1 character
Comma separated list of user IDs or "null"
responsibleTeamIdsstringOptional>=1 character
Comma separated list of team IDs or "null"
creationOriginIdsstringOptional
Comma separated list of entry IDs
linkedItemIds.anyOfstringOptional
Comma separated list of bioentity or storable IDs. Maximum of 100. Returns workflow outputs where the output's schema fields reference at least one of the provided items.
linkedItemIds.allOfstringOptional
Comma separated list of bioentity or storable IDs. Returns workflow outputs where the output's schema fields reference all of the provided items.
linkedItemIds.noneOfstringOptional
Comma separated list of bioentity or storable IDs. Returns workflow outputs where the output's schema fields do not reference any of the provided items.
schemaFieldsmap from strings to anyOptional
Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and <= operators (but not < or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.
namestringOptional
The name of the workflow task
nameIncludesstringOptional
Part of the name of the workflow task
creatorIdsstringOptional
Comma separated list of user IDs.
modifiedAtstringOptional
Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.
pageSizeintegerOptional0-100Defaults to 50
displayIdsstringOptional
Comma-separated list of Workflow Output Display IDs.
archiveReasonstringOptional
Archive reason. Restricts items to those with the specified archive reason. Use “NOT_ARCHIVED” to filter for unarchived workflow outputs. Use “ANY_ARCHIVED” to filter for archived workflow outputs regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived.
Response
OK
workflowOutputslist of objectsOptional